package com.steerinfo.baseinfo.meterbaserailwayweight.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbaserailwayweight.model.MeterBaseRailwayWeight;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * MeterBaseRailwayWeight服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-10-17 04:53
 * 类描述
 * 修订历史：
 * 日期：2020-10-17
 * 作者：generator
 * 参考：
 * 描述：MeterBaseRailwayWeight服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseRailwayWeightService extends IBaseService<MeterBaseRailwayWeight, String>{

    List<MeterBaseRailwayWeight> selectTo(String railwayNo, String flag);
    List<MeterBaseRailwayWeight> noPage(Map<String, Object> param);

    MeterBaseRailwayWeight checkandadd(MeterBaseRailwayWeight model);

    int checkandupdate(MeterBaseRailwayWeight model);

    int abolish(List<MeterBaseRailwayWeight> models);

    int recover(List<MeterBaseRailwayWeight> models);

    int doSaveWf(List<MeterBaseRailwayWeight> models) throws ParseException;
}